classification
Title: python -3 documentation is outdated
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: benjamin.peterson, berker.peksag, docs@python, eric.araujo, python-dev, terry.reedy
Priority: normal Keywords: patch

Created on 2014-05-05 09:20 by berker.peksag, last changed 2014-05-26 22:39 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
cmdline-3.diff berker.peksag, 2014-05-05 09:20
Messages (4)
msg217914 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2014-05-05 09:20
https://docs.python.org/2.7/using/cmdline.html#cmdoption-3

Currently, lib2to3 provides fixers for dict.has_key(), apply(), callable(),
execfile() and reduce() functions.

The "reload" fixer was added to Python 3.4 in issue 11797, but not backported to 2.7.
msg218184 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2014-05-09 17:27
Aside: callable was added back in 3.2; warnings for that are now obsolete, and people often replaced it with bogus alternatives (like using hasattr on the object instead of its type).
msg219164 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2014-05-26 17:05
This is documentation for the 2.7 '-3' command line option, which I presume has not changed at least since 2.7.0, rather than for 2to3, which has changed in different 3.x releases. If I am correct, the list of things -3 warns about has not changed. It might be more appropriate to rewrite the intro sentence to something like

"Warn about Python 3.x incompatibilities which were not fixed by the original version of :ref:`2to3 <2to3-reference>`."

Benjamin, what do you think?
msg219187 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-05-26 22:39
New changeset ae2e8bfda7d7 by Benjamin Peterson in branch '2.7':
remove list of example incompatibilities (closes #21434)
http://hg.python.org/cpython/rev/ae2e8bfda7d7
History
Date User Action Args
2014-05-26 22:39:03python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg219187

resolution: fixed
stage: commit review -> resolved
2014-05-26 17:05:26terry.reedysetnosy: + benjamin.peterson
messages: + msg219164
2014-05-26 10:38:36ezio.melottisetnosy: + terry.reedy

type: enhancement
stage: patch review -> commit review
2014-05-09 17:27:03eric.araujosetnosy: + eric.araujo
messages: + msg218184
2014-05-05 09:20:58berker.peksagcreate